Control APIAPI 레퍼런스Billing

팀의 청구 플랜을 변경합니다.

베타 API

Control API의 /v1 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.

POST/v1/teams/{teamId}/billing/plan

owner 또는 billing 역할이 활성 플랜을 지정합니다. 즉시 변경하면 플랜 상태를, 청구형 플랜에서 예약하면 {plan,pendingPlan,effectiveAt}을 반환합니다. 이메일 인증을 완료한 사용자만 사용할 수 있습니다.

인증

bearerAuth
인증Bearer <token>

Identity access JWT 또는 ntro_ API token을 사용합니다. token 관리 경로는 Identity access JWT만 허용합니다.

위치: header

경로 매개변수

teamId*string

요청 본문

application/json

TypeScript 타입 정의

Use the request body type in TypeScript.

응답 본문

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/teams/string/billing/plan" \  -H "Content-Type: application/json" \  -d '{    "plan": "string"  }'
{  "cdn_mode": "string",  "currency": "string",  "currency_minor_digits": 0,  "cycle_anchor": "2019-08-24T14:15:22Z",  "flat_tier": "string",  "pending_currency": "string",  "pending_currency_minor_digits": 0,  "plan": "string",  "team_id": "string"}